最近制卡总是失败,帮忙看一下

BUG反馈 · 592 次浏览
墨岩仲 创建于 2021-10-21 10:56

Anki版本:2.1.48

AnkiConnect:最新版本

制卡内容:

.|js: 最后一行代码的含义是什么?
let arr = [ 'Apple', { name: 'John' }, true, function() { alert('hello'); } ];
arr[3](); // hello
.|数组中第4个元素是函数,所以arr[3]()代表执行那个函数
 

anki直接报错:

前端时间还能好好使用,怀疑是ankiconnect弹出更新提示,自己无意中更新中,导致无法使用。

能帮忙看下是什么问题吗? 或者,ankiconnect有没有什么版本上的要求?


回复内容
zhao. 2022-03-02 20:16
#1


zhao. 最后更新于 2022-03-02 20:40
墨岩仲 2021-10-25 10:58
#2

刚刚试过了,使用你给的这个版本,制卡可以正常进行,多谢啦。 

墨岩仲 2021-10-25 10:59 :

我是整个将插件的目录内容给替换了。

我也是小黑 2021-10-22 12:19
#3

我今晚来瞧瞧,在此之前你可以去作者的 GitHub上下载旧版本替换一下现在的试试看。这么做之前记得保存一下数据。

墨岩仲 2021-10-22 16:48 :

好的,谢谢啦,不存在保存数据啥的,anki都卸载重装几遍了,至少试了三个版本。我去找一个老版本试试吧。



我也是小黑 回复 墨岩仲 2021-10-24 13:30 :

Anki 可以不用重装,安装旧版的 Ankiconnect 试试看

我也是小黑 回复 墨岩仲 2021-10-24 20:10 :

试试下载这个,https://github.com/FooSoft/anki-connect/commit/4e41429165fa49259533d83b413e1450c4965c46,替换掉原本的 __init__.py 文件。根据日期上来看,我目前在用的应该是这个

墨岩仲 2021-10-25 09:18 :
好的,我试试,非常感谢!
我也是小黑 回复 墨岩仲 2021-10-30 01:01 :

怎么样,问题解决了不?

回复主贴